it-swarm.dev

Mise à jour du micrologiciel pour iPod Touch (iPhone)?

J'ai besoin de mettre à jour le firmware de mon iPod Touch (iPhone) sous Ubuntu et, comme j'ai jailbreaké iPod Touch, j'ai besoin d'iTunes pour installer des applications, mais je n'ai malheureusement pas encore trouvé le moyen de le faire sous Ubuntu. Je sais qu'il est possible d'utiliser VirtualBox ou Wine, mais iTunes ne veut généralement pas travailler sur Wine et pour VirtualBox, je dois installer à nouveau cette version de Windows à partir de laquelle je suis passé à Ubuntu il y a quelques mois à peine et je ne veux pas y revenir.

Que font les utilisateurs de Linux dotés d'un iPod Touch (iPhone) dans ce cas?

Toutes les suggestions pour résoudre le problème seront ravies.

Et enfin, combien de temps faudra-t-il avant que Apple ne développe iTunes pour Linux?

18
Bakhtiyor

Certaines versions plus anciennes d'iTunes peuvent actuellement fonctionner avec Wine (ou Crossover) , mais elles ne peuvent pas être utilisées pour mettre à jour ou synchroniser des iPod plus récents .

La raison en est que Wine manque de gestionnaire pour les pilotes de périphérique USB Windows et que l'iPod agit en tant que périphérique USB personnalisé. C'est la même raison pour laquelle les logiciels nécessitant une clé électronique spéciale ne fonctionnent pas (encore) dans Wine. Il y a quelques correctifs préliminaires disponibles pour cela, et vous pouvez lire plus d’historique sur Wine wiki , mais ne vous attendez pas à ce que rien fonctionne.

Les seuls iPod qui fonctionnent actuellement dans Wine sont de très vieux iPod qui agissent comme de simples périphériques de stockage de masse USB. Et même dans ce cas, vous devez toujours trouver un iTunes plus ancien et fonctionnel.

En raison de ce problème dans Wine, pour effectuer la mise à niveau du micrologiciel, vous devez configurer une machine virtuelle avec Virtualbox ou VMware ou, peut-être plus simplement, emprunter l'ordinateur de quelqu'un d'autre.

9
Scott Ritchie

Je ne sais pas si cela fonctionne avec votre iPod touch, mais pour mes anciens iPod: http://code.google.com/p/iPod-update/

4
manyxcxi

En regardant Crossoverpage pour iTunes , il a été rapporté que quelques versions fonctionnaient quelque peu. Crossover coûte de l’argent, mais cela peut en valoir la peine.

3
Michael Crenshaw

La mise à niveau du micrologiciel n'a pas fonctionné pour moi: Ubuntu 8.04 LTS avec vmplayer et un ancien XP avec iTunes.

Aucune chance. l'iphone était en panne pour le reste de la journée jusqu'à ce que je le branche sur mon pc sous windows à mon travail.

De ce point de vue: les produits Apple sont un No-Go! Pourquoi ai-je besoin d'un Windows ou d'un Mac avec iTunes pour avoir un téléphone? Où est-il indiqué que pour acheter cette "chose magique", j'ai besoin d'un iTunes en marche pour que cela fonctionne? Qui connaît les coûts avant?

3
Ice

appareil libimobiled

C'est toujours expérimental mais vous devriez vérifier libimobiledevice . Il n'y a pas encore d'interface graphique, mais ils travaillent à faire en sorte que les modèles d'iPod touch fonctionnent sous Linux (y compris les logiciels de mise à niveau et de rétrogradation).


Edit: Selon le buntu Wiki c'est la valeur par défaut depuis au moins 14.04 et implémentée dans divers projets. Consultez les nouvelles et le statut sur la page du projet libimobiledevice pour plus de détails. Actuellement, ils affirment qu'ils prennent en charge iOS 9, qui était encore en version bêta au moment de la rédaction.

2
PierreS

Je me suis fatigué de mettre à jour mon firmware iPhone en v2 en v3 en utilisant iTunes sous VMware. Le processus s'est arrêté à mi-parcours et l'iPhone est devenu inutile. Je l'ai branché aux machines Windows d'un ami et après plusieurs tentatives de mise à jour, il est revenu à la vie.

Les mises à jour avec les mêmes versions principales ont bien fonctionné dans iTunes/VMware.

0
A.B.